InviteOperationResult (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-15

org.gcube.portal.databook.shared

## Enum InviteOperationResult

- java.lang.Object
- - java.lang.Enum<InviteOperationResult>
  - - org.gcube.portal.databook.shared.InviteOperationResult

- All Implemented Interfaces:
    Serializable, Comparable<InviteOperationResult>

      public enum InviteOperationResult
      extends Enum<InviteOperationResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALREADY_INVITED`
    `FAILED`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InviteOperationResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InviteOperationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final InviteOperationResult SUCCESS

    - #### FAILED

          public static final InviteOperationResult FAILED

    - #### ALREADY_INVITED

          public static final InviteOperationResult ALREADY_INVITED

  - ### Method Detail

    - #### values

          public static InviteOperationResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InviteOperationResult c : InviteOperationResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InviteOperationResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.